- name: Create etcd group
  ansible.builtin.group:
    name: etcd
    system: true
  become: true
- name: Create etcd user
  ansible.builtin.user:
    create_home: false
    group: etcd
    groups: ''
    home: /var/lib/rancher/rke2/server/db/etcd
    name: etcd
    password: '*'
    shell: /usr/sbin/nologin
    system: true
  become: true
- name: Install RKE2 sysctl configuration
  ansible.builtin.copy:
    dest: /etc/sysctl.d/60-rke2-cis.conf
    group: root
    mode: '0644'
    owner: root
    src: rke2-cis-sysctl.conf
  become: true
  register: rke2_cis_sysctl
- name: Restart systemd-sysctl
  ansible.builtin.systemd:
    name: systemd-sysctl.service
    state: restarted
  become: true
  when: rke2_cis_sysctl.changed
- name: Install RKE2 binary
  ansible.builtin.get_url:
    checksum: sha256:5f2509348892001b99c4752bc7c95aca7fd240d9210e9de4f391ced4e14ea11f
    dest: /usr/local/bin/rke2
    group: root
    mode: '0755'
    owner: root
    url: 'https://github.com/rancher/rke2/releases/download/{{ rke2_version }}/rke2.linux-amd64'
  become: true
- name: Create local systemd directory
  ansible.builtin.file:
    group: root
    mode: '0755'
    owner: root
    path: /usr/local/lib/systemd/system
    state: directory
  become: true
- name: Install RKE2 systemd configuration
  ansible.builtin.copy:
    dest: /usr/local/lib/systemd/system/rke2-server.service
    group: root
    mode: '0644'
    owner: root
    src: rke2-server.service
  become: true
- name: Run RKE2 server
  ansible.builtin.systemd:
    daemon_reload: true
    enabled: true
    name: rke2-server.service
    state: started
  become: true
- name: Fetch kubeconfig file
  ansible.builtin.fetch:
    dest: kubeconfig
    src: /etc/rancher/rke2/rke2.yaml
  become: true
